using AutobusApi.Application.Common.Models.Identity;
using AutobusApi.Application.Identity.Commands.Register;
using AutobusApi.Application.Identity.Commands.RenewAccessToken;
using AutobusApi.Application.Identity.Commands.RevokeRefreshToken;
using AutobusApi.Application.Identity.Queries.Login;
using Microsoft.AspNetCore.Mvc;

namespace AutobusApi.Api.Controllers;

[Route("identity")]
public class IdentityController : BaseController
{
    [HttpPost("register")]
    public async Task Register([FromBody] RegisterCommand command, CancellationToken cancellationToken)
    {
        await Mediator.Send(command, cancellationToken);
    }

    [HttpPost("login")]
    public async Task<TokensModel> Login([FromBody] LoginQuery query, CancellationToken cancellationToken)
    {
        return await Mediator.Send(query, cancellationToken);
    }

    [HttpPost("renewAccessToken")]
    public async Task<TokensModel> RenewAccessToken([FromBody] RenewAccessTokenCommand command, CancellationToken cancellationToken)
    {
        return await Mediator.Send(command, cancellationToken);
    }

    [HttpPost("revokeRefreshToken")]
    public async Task RevokeRefreshToken([FromBody] RevokeRefreshTokenCommand command, CancellationToken cancellationToken)
    {
        await Mediator.Send(command, cancellationToken);
    }
}
