using AutobusApi.Application.Common.Mappings;
using AutobusApi.Domain.Entities;
using AutoMapper;

namespace AutobusApi.Application.Cities.Queries;

public class CityDto : IMapFrom<City>
{
    public int Id { get; set; }

    public string Name { get; set; } = null!;

    public int CountryId { get; set; }

    public string CountryName { get; set; } = null!;

    public int RegionId { get; set; }

    public string RegionName { get; set; } = null!;

    public void Mapping(Profile profile)
    {
        profile.CreateMap<City, CityDto>()
            .ForMember(d => d.CountryId, opt => opt.MapFrom(s => s.Region.Country.Id))
            .ForMember(d => d.CountryName, opt => opt.MapFrom(s => s.Region.Country.Name));
    }
}
