using AutobusApi.Domain.Entities;
using Microsoft.EntityFrameworkCore;

namespace AutobusApi.Application.Common.Interfaces;

public interface IApplicationDbContext
{
    DbSet<Country> Countries { get; }

    DbSet<Region> Regions { get; }

    DbSet<City> Cities { get; }

    DbSet<Address> Addresses { get; }

    DbSet<RouteAddress> RouteAddresses { get; }

    DbSet<Route> Routes { get; }

    DbSet<RouteAddressDetails> RouteAddressDetails { get; }

    DbSet<VehicleEnrollment> VehicleEnrollments { get; }

    DbSet<Vehicle> Vehicles { get; }

    DbSet<Bus> Buses { get; }

    DbSet<Aircraft> Aircraft { get; }

    DbSet<Train> Trains { get; }

    DbSet<TrainCarriage> TrainCarriages { get; }

    DbSet<Carriage> Carriages { get; }

    DbSet<Company> Companies { get; }

    DbSet<Employee> Employees { get; }

    DbSet<EmployeeDocument> EmployeeDocuments { get; }

    DbSet<VehicleEnrollmentEmployee> vehicleEnrollmentEmployees { get; }

    DbSet<User> ApplicationUsers { get; }

    DbSet<TicketGroup> TicketGroups { get; }

    DbSet<Ticket> Tickets { get; }

    DbSet<TicketDocument> TicketDocuments { get; }

    DbSet<Review> Reviews { get; }

    Task<int> SaveChangesAsync(CancellationToken cancellationToken = default);
}
