using AutobusApi.Application.Common.Models;
using MediatR;

namespace AutobusApi.Application.Companies.Queries.GetCompaniesWithPagination;

public record GetCompaniesWithPaginationQuery : IRequest<PaginatedList<CompanyDto>>
{
    public string Sort { get; set; } = "";

    public int PageNumber { get; set; } = 1;

    public int PageSize { get; set; } = 10;
}
