using AutobusApi.Application.Common.Models;
using MediatR;

namespace AutobusApi.Application.Countries.Queries.GetCountriesWithPagination;

public record GetCountriesWithPaginationQuery : IRequest<PaginatedList<CountryDto>>
{
    public string Sort { get; set; } = "";

    public int PageNumber { get; set; } = 1;

    public int PageSize { get; set; } = 10;
}
