using MediatR;

namespace AutobusApi.Application.Employees.Commands.CreateEmployee;

public record CreateEmployeeCommand : IRequest<int>
{
    public int CompanyId { get; set; }

    public string Email { get; set; } = null!;

    public string Password { get; set; } = null!;

    public string FirstName { get; set; } = null!;

    public string LastName { get; set; } = null!;

    public string Patronymic { get; set; } = null!;

    public string Sex { get; set; } = null!;
    
    public DateOnly BirthDate { get; set; }

    public List<CreateEmployeeDocumentCommand> Documents { get; set; } = null!;
}

public record CreateEmployeeDocumentCommand
{
    public string Type { get; set; } = null!;

    public string Information { get; set; } = null!;
}
