using MediatR;

namespace AutobusApi.Application.Employees.Commands.UpdateEmployee;

public record UpdateEmployeeCommand : IRequest
{
    public int Id { get; set; }

    public string FirstName { get; set; } = null!;

    public string LastName { get; set; } = null!;

    public string Patronymic { get; set; } = null!;

    public string Sex { get; set; } = null!;

    public DateOnly BirthDate { get; set; }

    public List<UpdateEmployeeDocumentCommand> Documents { get; set; } = null!;
}

public record UpdateEmployeeDocumentCommand
{
    public int? Id { get; set; }

    public string Type { get; set; } = null!;

    public string Information { get; set; } = null!;
}
