using AutobusApi.Application.Common.Mappings;
using AutobusApi.Domain.Entities;

namespace AutobusApi.Application.Employees.Queries;

public class EmployeeDto : IMapFrom<Employee>
{
    public int Id { get; set; }

    public string FirstName { get; set; } = null!;

    public string LastName { get; set; } = null!;

    public string Patronymic { get; set; } = null!;

    public string Sex { get; set; } = null!;
    
    public DateOnly BirthDate { get; set; }

    public List<EmployeeDocumentDto> Documents { get; set; } = null!;
}

public class EmployeeDocumentDto : IMapFrom<EmployeeDocument>
{
    public int Id { get; set; }

    public string Type { get; set; } = null!;

    public string Information { get; set; } = null!;
}
