using FluentValidation;

namespace AutobusApi.Application.Employees.Queries.GetEmployeesWithPagination;

public class GetEmployeesWithPaginationQueryValidator : AbstractValidator<GetEmployeesWithPaginationQuery>
{
    public GetEmployeesWithPaginationQueryValidator()
    {
        RuleFor(v => v.PageNumber).GreaterThanOrEqualTo(1);

        RuleFor(v => v.PageSize).GreaterThanOrEqualTo(1).LessThanOrEqualTo(50);
    }
}
