using AutobusApi.Application.Common.Interfaces;
using MediatR;

namespace AutobusApi.Application.Identity.Commands.RevokeRefreshToken;

public class RevokeRefreshTokenCommandHandler : IRequestHandler<RevokeRefreshTokenCommand>
{
    private readonly IIdentityService _identityService;

    public RevokeRefreshTokenCommandHandler(IIdentityService identityService)
    {
        _identityService = identityService;
    }

    public async Task Handle(
        RevokeRefreshTokenCommand request,
        CancellationToken cancellationToken)
    {
        await _identityService.RevokeRefreshTokenAsync(request.RefreshToken, cancellationToken);
    }
}
