using FluentValidation;

namespace AutobusApi.Application.Regions.Queries.GetRegionsWithPagination;

public class GetRegionsWithPaginationQueryValidator : AbstractValidator<GetRegionsWithPaginationQuery>
{
    public GetRegionsWithPaginationQueryValidator()
    {
        RuleFor(v => v.PageNumber).GreaterThanOrEqualTo(1);

        RuleFor(v => v.PageSize).GreaterThanOrEqualTo(1).LessThanOrEqualTo(50);
    }
}
