using MediatR;

namespace AutobusApi.Application.RouteSearch;

public record RouteSearchQuery : IRequest<List<RouteWithTransfersDto>>
{
    public required int DepartureAddressId { get; set; }

    public required int ArrivalAddressId { get; set; }

    public required DateOnly DepartureDate { get; set; }

    public required TimeSpan MinTransferTime { get; set; } = TimeSpan.FromMinutes(15);

    public required TimeSpan MaxTransferTime { get; set; } = TimeSpan.FromHours(12);

    public required double MaxTransferDistanceInMeters { get; set; } = 1000;
}
