using FluentValidation;

namespace AutobusApi.Application.Routes.Commands.CreateRoute;

public class CreateRouteCommandValidator : AbstractValidator<CreateRouteCommand>
{
    public CreateRouteCommandValidator()
    {
        RuleFor(v => v.Addresses).Must(v => v.Count >= 2);

        RuleForEach(v => v.Addresses).ChildRules(address =>
        {
            address.RuleFor(v => v.Id).GreaterThan(0);
        });
    }
}
