using FluentValidation;

namespace AutobusApi.Application.Routes.Commands.UpdateRoute;

public class UpdateRouteCommandValidator : AbstractValidator<UpdateRouteCommand>
{
    public UpdateRouteCommandValidator()
    {
        RuleFor(v => v.Addresses).Must(v => v.Count >= 2);

        RuleForEach(v => v.Addresses).ChildRules(address =>
        {
            address.RuleFor(v => v.Id).GreaterThan(0);
            address.RuleFor(v => v.Order).GreaterThan(0);
        });
    }
}
