using FluentValidation;

namespace AutobusApi.Application.Routes.Queries.GetRoutesWithPagination;

public class GetRoutesWithPaginationQueryValidator : AbstractValidator<GetRoutesWithPaginationQuery>
{
    public GetRoutesWithPaginationQueryValidator()
    {
        RuleFor(v => v.PageNumber).GreaterThanOrEqualTo(1);

        RuleFor(v => v.PageSize).GreaterThanOrEqualTo(1).LessThanOrEqualTo(50);
    }
}
