using MediatR;

namespace AutobusApi.Application.TicketGroups.Commands.CreateTicketGroup;

public record CreateTicketGroupCommand : IRequest<int>
{
    public int? UserId { get; set; }

    public string BuyerFirstName { get; set; } = null!;

    public string BuyerLastName { get; set; } = null!;

    public string BuyerPhoneNumber { get; set; } = null!;

    public string BuyerEmail { get; set; } = null!;

    public string PassengerFirstName { get; set; } = null!;

    public string PassengerLastName { get; set; } = null!;

    public string PassengerPatronymic { get; set; } = null!;

    public string PassengerSex { get; set; } = null!;

    public DateOnly PassengerBirthDate { get; set; }

    public string DocumentType { get; set; } = null!;

    public string DocumentInformation { get; set; } = null!;

    public List<CreateTicketCommand> Tickets { get; set; } = null!;
}

public record CreateTicketCommand
{
    public int VehicleEnrollmentId { get; set; }

    public int DepartureAddressId { get; set; }

    public int ArrivalAddressId { get; set; }
}
