using FluentValidation;

namespace AutobusApi.Application.TicketGroups.Queries.GetTicketGroupsWithPagination;

public class GetTicketGroupsWithPaginationQueryValidator : AbstractValidator<GetTicketGroupsWithPaginationQuery>
{
    public GetTicketGroupsWithPaginationQueryValidator()
    {
        RuleFor(v => v.PageNumber).GreaterThanOrEqualTo(1);

        RuleFor(v => v.PageSize).GreaterThanOrEqualTo(1).LessThanOrEqualTo(50);
    }
}
