using MediatR;

namespace AutobusApi.Application.VehicleEnrollments.Commands.CreateVehicleEnrollment;

public record CreateVehicleEnrollmentCommand : IRequest<int>
{
    public int VehicleId { get; set; }

    public int RouteId { get; set; }

    public DateTime DepartureDateTimeUtc { get; set; }

    public List<CreateRouteAddressDetailsCommand> RouteAddressDetails { get; set; } = null!;
}

public record CreateRouteAddressDetailsCommand
{
    public int RouteAddressId { get; set; }

    public TimeSpan TimeToNextAddress { get; set; }

    public TimeSpan CurrentAddressStopTime { get; set; }

    public double CostToNextAddress { get; set; }
}
