using MediatR;

namespace AutobusApi.Application.VehicleEnrollments.Commands.UpdateVehicleEnrollment;

public record UpdateVehicleEnrollmentCommand : IRequest
{
    public int Id { get; set; }

    public DateTime DepartureDateTimeUtc { get; set; }

    public List<UpdateRouteAddressDetailsCommand> RouteAddressDetails { get; set; } = null!;
}

public record UpdateRouteAddressDetailsCommand
{
    public int RouteAddressId { get; set; }

    public TimeSpan TimeToNextAddress { get; set; }

    public TimeSpan CurrentAddressStopTime { get; set; }

    public double CostToNextAddress { get; set; }
}

