using FluentValidation;

namespace AutobusApi.Application.VehicleEnrollments.Queries.GetVehicleEnrollmentsWithPagination;

public class GetVehicleEnrollmentsWithPaginationQueryValidator : AbstractValidator<GetVehicleEnrollmentsWithPaginationQuery>
{
    public GetVehicleEnrollmentsWithPaginationQueryValidator()
    {
        RuleFor(v => v.PageNumber).GreaterThanOrEqualTo(1);

        RuleFor(v => v.PageSize).GreaterThanOrEqualTo(1).LessThanOrEqualTo(50);
    }
}
