using AutobusApi.Application.Common.Mappings;
using AutobusApi.Domain.Entities;

namespace AutobusApi.Application.VehicleEnrollments.Queries;

public class VehicleEnrollmentDto : IMapFrom<VehicleEnrollment>
{
    public int Id { get; set; }

    public int VehicleId { get; set; }

    public int RouteId { get; set; }

    public DateTime DepartureDateTimeUtc { get; set; }

    public List<RouteAddressDetailsDto> RouteAddressDetails { get; set; } = null!;
}

public class RouteAddressDetailsDto : IMapFrom<RouteAddressDetails>
{
    public int RouteAddressId { get; set; }

    public TimeSpan TimeToNextAddress { get; set; }

    public TimeSpan CurrentAddressStopTime { get; set; }

    public double CostToNextAddress { get; set; }
}
