using AutobusApi.Domain.Common;
using AutobusApi.Domain.Enums;

namespace AutobusApi.Domain.Entities;

public class Employee : EntityBase
{
    public string FirstName { get; set; } = null!;

    public string LastName { get; set; } = null!;

    public string Patronymic { get; set; } = null!;

    public Sex Sex { get; set; }

    public DateOnly BirthDate { get; set; }

    public int IdentityId { get; set; }

    public int EmployerCompanyId { get; set; }

    public Company EmployerCompany { get; set; } = null!;

    public ICollection<EmployeeDocument> Documents { get; set; } = null!;

    public ICollection<VehicleEnrollmentEmployee> Shifts { get; set; } = null!;
}
